%define major		0
%define libname		%mklibname %{name} %{major}
%define libdevel	%mklibname %{name} -d

Name:		faac
Version:	1.28
Release:	%mkrel 9
Epoch:		1
Summary:	Freeware Advanced Audio Encoder
URL:		http://www.audiocoding.com
License:	LGPLv2+
Group:		Sound/Editors and Converters
Source0:	http://prdownloads.sourceforge.net/faac/%{name}-%{version}.tar.bz2
Patch1:		%{name}-1.26-format.string.patch
Patch2:		%{name}-mga_patches_build-fix.patch

BuildRequires:	pkgconfig(sndfile)
BuildRequires:	autoconf
BuildRequires:	dos2unix
BuildRequires:	mp4v2-devel >= 1.9
# gw else the detection for libmp4v2 kicks in
BuildConflicts:	%{libname}-devel < %{epoch}:%{version}-%{release}
BuildConflicts:	%{libdevel} < %{epoch}:%{version}-%{release}

%description
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package is in Tainted, as the MPEG-4 format is covered by software
patents.

#--------------------------------------------------------------------
%package -n	%{libname}
Summary:	Free Advanced Audio Encoder shared library
Group:		System/Libraries

%description -n	%{libname}
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the shared library needed by programs based on
libfaac.

This package is in Tainted, as the MPEG-4 format is covered by software
patents.

#--------------------------------------------------------------------
%package -n	%{libdevel}
Summary:	Free Advanced Audio Encoder development files
Group:		Development/C++
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{libdevel}
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the needed files for compiling programs with
libfaac.

This package is in Tainted, as the MPEG-4 format is covered by software
patents.

#--------------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--with-mp4v2 \
	--disable-static
%make

%install
%makeinstall_std

# manual header installation
mkdir -p %{buildroot}%{_includedir}
cp include/*h %{buildroot}%{_includedir}

# Clean .la files
find %{buildroot} -name '*.la' -delete

%files
%doc README TODO ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%{_libdir}/libfaac.so.%{major}
%{_libdir}/libfaac.so.%{major}.*

%files -n %{libdevel}
%{_libdir}/libfaac.so
%{_includedir}/*


%changelog
* Sun Mar 01 2015 daviddavid (MLO Team) <daviddavid> 1:1.28-9.mga5.tainted
+ Rebuild package for Mageia 5 (Tainted\MLO)

* Wed Jan 1 2014 david.david (MLO Team) <david.david> 1:1.28-8.tainted.mga4
+ Rebuild package for Mageia 4 (Tainted\MLO)
- version: 1.28
- fix BR as pkgconfig(sndfile)
- fix BR mp4v2-devel (instead of libmp4v2)

* Sat Jul 13 2013 david.david (MLO Team) <david.david> 1:1.28-7.tainted.mga3
+ Revision: 7
- fix build with automake-1.13
- use autoreconf
- rediff Patch2 to fix build with automake-1.13 (replaced AM_CONFIG_HEADER with AC_CONFIG_HEADERS)
- rename Patch2 to faac-mga_patches_build-fix.patch
- delete libfaac.la files (--disable-static)
- clean spec file

* Tue Apr 30 2013 david.david (MLO Team) <david.david> 1:1.28-6.tainted.mga3
+ Revision: 6
- correcting "spec" file

* Wed Apr 17 2013 david.david (MLO Team) <david.david> 1:1.28-5.tainted.mga3
+ Rebuild package for Mageia 3 (Tainted)
- version 1.28

* Sat Apr 13 2013 david.david (MLO Team) <david.david> 1:1.28-4.tainted.mga2
+ Rebuild package for Mageia 2 (Tainted)
- clean "spec" file
